# Uses of Class
org.eclipse.jdt.core.dom.EnhancedForWithRecordPattern

Packages that use EnhancedForWithRecordPattern
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of EnhancedForWithRecordPattern in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom with parameters of type EnhancedForWithRecordPattern
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(EnhancedForWithRecordPattern node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(EnhancedForWithRecordPattern node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(EnhancedForWithRecordPattern node)`
Visits the given type-specific AST node.